Bug 140556 - Master document view not launching subdocument from pulldown
Summary: Master document view not launching subdocument from pulldown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.3 target:7.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Context-Menu Navigator
  Show dependency treegraph
 
Reported: 2021-02-20 14:08 UTC by Erick
Modified: 2021-03-30 10:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Pulldown edit item affected (58.09 KB, image/jpeg)
2021-02-20 14:13 UTC, Erick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erick 2021-02-20 14:08:49 UTC
Description:
Problem: From the master document view using LO7.0.4 I am unable to launch or edit any subdocuments using the view pulldown edit operator. This appears to also happen on the older 7.0.3 modification for this release. By right clicking on any subdocument in your master document view you are presented with a pulldown of actions, the edit action does not work when it is chosen (all of the others still do).

Steps to Reproduce:
1.Launch LO, open master document
2.Whether you selected yes or no for the update dialog you are placed in master document edit mode, the left pane view has the sub documents in the project
3.Left click on a sub document to hilight it, then right click, select edit and click

Actual Results:
This operation will NOT launch the sub document in its own window in edit mode.

Expected Results:
This operation SHOULD launch the sub document in its own window in edit mode.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Either double-clicking on the item in the view or selecting it and using the pane menu item for edit will launch the window and place it in edit mode for that sub document.
Comment 1 Erick 2021-02-20 14:13:13 UTC
Created attachment 169918 [details]
Pulldown edit item affected

This is the left pane pulldown edit item in question.
Comment 2 Roman Kuznetsov 2021-03-27 21:27:08 UTC
Confirm in 

Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win
Locale: ru-RU (ru_RU); ИП: ru-RU
Calc: CL

but not in 6.4.5 => regression

I tried to bisect it but I got a mistake on final step. Anyone, please try to bisect it too
Comment 3 Aron Budea 2021-03-28 02:53:17 UTC
Bibisected to the following commit using repo bibisect-linux-64-7.0. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5a2c0ab29719ac914d30d8789c0e386541702cbf
author		Caolán McNamara <caolanm@redhat.com>	2020-02-28 11:13:12 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-03-24 11:00:50 +0100

weld writer navigator
Comment 4 Commit Notification 2021-03-29 14:54:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/503d9209df268cf3e964eede49b247021a9e17ce

tdf#140556 master document view not launching subdocument from context menu

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2021-03-29 14:55:21 UTC
done in main, backport to 7-1 and 7-0 in gerrit
Comment 6 Commit Notification 2021-03-30 09:23:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/995dde17ee9a2249e0e2d3bc704294583b9ff7b1

tdf#140556 master document view not launching subdocument from context menu

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-03-30 10:07:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/30fb31983a3492da9db09cdfccdd2f8f9550bb0d

tdf#140556 master document view not launching subdocument from context menu

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.